import 'package:flutter/material.dart';
import 'package:flutter_xf_voice_plugin/flutter_xf_voice_plugin.dart';

void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  FlutterXfVoicePlugin _xfVoicePlugin = FlutterXfVoicePlugin.instance;

  String _text = "";

  @override
  Widget build(BuildContext context) {
    _xfVoicePlugin.setAppId("your appid");
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: Text("语音听写"),
        ),
        body: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: <Widget>[
            GestureDetector(
              child: Padding(
                padding: EdgeInsets.all(25),
                child: Text(
                  '无对话框录音',
                ),
              ),
              onTap: _handleTap,
            ),
            Padding(
              padding: EdgeInsets.symmetric(horizontal: 25, vertical: 30),
              child: Text(
                '听写结果',
              ),
            ),
            Padding(
              padding: EdgeInsets.symmetric(horizontal: 25),
              child: Text(
                '$_text',
                style: TextStyle(color: Colors.deepOrange),
              ),
            ),
          ],
        ),
      ),
    );
  }

  _handleTap() {
    _xfVoicePlugin.speak().listen((onData) {
      setState(() {
        _text = onData;
      });
    },onDone: _done);
  }

  _done(){
    print("=====_done");
  }

}
