import 'dart:async';

import 'package:flutter/services.dart';

class FlutterXfVoicePlugin {
  static const MethodChannel _channel =
      const MethodChannel('flutter_xf_voice_plugin');

  static const EventChannel _resultChannel =
      const EventChannel('flutter_xf_voice_plugin/result');

  /// Singleton boilerplate
  FlutterXfVoicePlugin();

  static FlutterXfVoicePlugin _instance = new FlutterXfVoicePlugin();

  static FlutterXfVoicePlugin get instance => _instance;

  setAppId(id) {
    _channel.invokeMethod("setAppId", id);
  }

  Stream<String> speak() async* {
    StreamSubscription subscription;
    StreamController controller;
    controller = new StreamController(
      onListen: () {},
      onCancel: () {
        subscription.cancel();
      },
    );

    subscription = _resultChannel.receiveBroadcastStream().listen(
      (data) {
        controller.add(data.toString());
      },
      onError: controller.addError,
      onDone: controller.close,
    );

    _channel.invokeMethod('speak');
    yield* controller.stream.map((p) => p.toString());
  }
}
