import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:flutter_xf_voice_plugin/flutter_xf_voice_plugin.dart';

void main() {
  const MethodChannel channel = MethodChannel('flutter_xf_voice_plugin');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '44';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('setAppId', (id) async {
    expect(await FlutterXfVoicePlugin.instance.setAppId(id), '44');
  });

  test('speak', () async {
    expect(FlutterXfVoicePlugin.instance.speak, '44');
  });
}
